import request from '@/utils/request'

// 查询防火门列表
export function listFiredoor(query) {
  return request({
    url: '/safety/firedoor/list',
    method: 'get',
    params: query
  })
}

// 查询防火门详细
export function getFiredoor(id) {
  return request({
    url: '/safety/firedoor/' + id,
    method: 'get'
  })
}

// 新增防火门
export function addFiredoor(data) {
  return request({
    url: '/safety/firedoor',
    method: 'post',
    data: data
  })
}

// 修改防火门
export function updateFiredoor(data) {
  return request({
    url: '/safety/firedoor',
    method: 'put',
    data: data
  })
}

// 删除防火门
export function delFiredoor(id) {
  return request({
    url: '/safety/firedoor/' + id,
    method: 'delete'
  })
}

// 删除防火门
export function exportFiredoor(query) {
  return request({
    url: 'safety/firedoor/export',
    method: 'get',
    params: query
  })
}
